aboutsummaryrefslogtreecommitdiff
path: root/tests/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'tests/Makefile')
-rw-r--r--tests/Makefile22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/Makefile b/tests/Makefile
new file mode 100644
index 0000000..4c6f82b
--- /dev/null
+++ b/tests/Makefile
@@ -0,0 +1,22 @@
+RUBY=ruby
+UNITY_DIR=./Unity
+CC=gcc
+CFLAGS=-I$(UNITY_DIR)/src
+
+.PHONY: all
+all: build run
+
+.PHONY: build
+build:
+ for testfile in $$(find . -type f -name "*.tests.c") ;\
+ do \
+ $(RUBY) $(UNITY_DIR)/auto/generate_test_runner.rb $$testfile ;\
+ $(CC) $(CFLAGS) -o $${testfile%.c} $(UNITY_DIR)/src/unity.c $$testfile $${testfile%.c}_Runner.c ;\
+ done
+
+.PHONY: run
+run:
+ for runner in $$(find . -type f -name "*.tests") ;\
+ do \
+ $$runner || exit ;\
+ done